# Class goog.testing.events.Event

code »

    Event
      └ goog.testing.events.Event

goog.events.BrowserEvent expects an Event so we provide one for JSCompiler. This clones a lot of the functionality of goog.events.Event. This used to use a mixin, but the mixin results in confusing the two types when compiled.

## Constructor

goog.testing.events.Event ( type, opt_target )

Parameters

type: `string`
  Event Type.
opt_target: `Object=`
  Reference to the object that is the target of this event.

Show:Public Protected Private

## Instance Methods

### Defined in `goog.testing.events.Event`

code »preventDefault ( )
code »stopPropagation ( )

### Defined in `Event`

code »initEvent ( eventTypeArg, canBubbleArg, cancelableArg ) ⇒ `undefined`

Parameters

eventTypeArg
canBubbleArg
cancelableArg

code »stopImmediatePropagation ( ) ⇒ `undefined`

## Instance Properties

### Defined in `goog.testing.events.Event`

code »propagationStopped_ : `boolean`

Whether to cancel the event in internal capture/bubble processing for IE.

code »returnValue_ : `boolean`

Return value for in internal capture/bubble processing for IE.